package com.yiqi.crm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.crm.domain.WxMenu;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 微信菜单管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-08-04
 */
@Mapper
public interface WxMenuMapper extends BaseMapper<WxMenu> {
    /**
     * 查询微信菜单管理
     *
     * @param wxMenuId 微信菜单管理主键
     * @return 微信菜单管理
     */
    public WxMenu selectWxMenuByWxMenuId(Long wxMenuId);

    /**
     * 查询微信菜单管理列表
     *
     * @param wxMenu 微信菜单管理
     * @return 微信菜单管理集合
     */
    public List<WxMenu> selectWxMenuList(WxMenu wxMenu);

    /**
     * 查询微信菜单类型列表
     * @return 微信菜单管理
     */
    public List<WxMenu> getMenuTypeList();

    /**
     * 新增微信菜单管理
     *
     * @param wxMenu 微信菜单管理
     * @return 结果
     */
    public int insertWxMenu(WxMenu wxMenu);

    /**
     * 修改微信菜单管理
     *
     * @param wxMenu 微信菜单管理
     * @return 结果
     */
    public int updateWxMenu(WxMenu wxMenu);

    /**
     * 删除微信菜单管理
     *
     * @param wxMenuId 微信菜单管理主键
     * @return 结果
     */
    public int deleteWxMenuByWxMenuId(Long wxMenuId);

    /**
     * 批量删除微信菜单管理
     *
     * @param wxMenuIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxMenuByWxMenuIds(Long[] wxMenuIds);
}
